#ifndef __EOSEVENTHANDLERS_H__
#define __EOSEVENTHANDLERS_H__

#include <Usb.h>
#include <canoneos.h>
#include <eoseventparser.h>

class EosEventHandlers : public EOSEventHandlers
{
public:
	virtual void OnPropertyChanged(const EOSEvent *evt);
	virtual void OnAcceptedListSize(const EOSEvent *evt, const uint16_t size);
	virtual void OnPropertyValuesAccepted(const EOSEvent *evt, const uint16_t index, const uint32_t &val);
        virtual void OnObjectCreated(const EOSEvent *evt) {};
};
//int NajdiIndexCasu(uint8_t cas, int pocet);
//void VypisCasNaLCD(uint8_t cas , int pocet);
#endif // __EOSEVENTHANDLERS_H__
